<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;

class SelectProductsByCampaign extends CrudWithParameterBag {

    protected $dataSourceName = '';
    protected $parameterBagColumns = array('CDNVPRODUTO', 'NRORG', 'CDCAMPANHA');

	const productByCampaign = 'select_products_by_campaign';
	const productByBrinde = 'select_products_by_brindeCampanha';

	public function findBrinde (DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = $this::productByBrinde;
    	parent::find($request, $response);
	}
	
	public function find (DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = $this::productByCampaign;
    	parent::find($request, $response);
	}
}